Page MenuHomePhabricator

Ref T6500, Duplicated tasks should be marked more visibly as duplicates
ClosedPublic

Authored by lpriestley on Nov 11 2014, 2:30 AM.
Tags
None
Referenced Files
F13455800: D10827.id26011.diff
Sun, Jul 14, 11:34 AM
F13454131: D10827.diff
Sun, Jul 14, 3:56 AM
F13438914: D10827.diff
Fri, Jul 12, 12:27 AM
F13421536: D10827.diff
Mon, Jul 8, 2:23 PM
F13376601: D10827.diff
Sat, Jun 29, 2:56 AM
F13373233: D10827.id25986.diff
Fri, Jun 28, 5:33 PM
F13368493: D10827.id25985.diff
Thu, Jun 27, 6:45 AM
F13330563: D10827.diff
Jun 17 2024, 3:56 AM

Details

Summary

When merging tasks, the corresponding transaction on the merged task should be black, and the transaction on the ultimate task should be green.

Test Plan

Create two tasks, merge one into the other, merged task transaction is black, the surviving task should show a green transaction.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

lpriestley retitled this revision from to Ref T6500, Duplicated tasks should be marked more visibly as duplicates.
lpriestley updated this object.
lpriestley edited the test plan for this revision. (Show Details)
lpriestley added a reviewer: epriestley.

I'd probably pick a new color to represent "merge" in general, since it's a different action than open.

src/applications/maniphest/storage/ManiphestTransaction.php
220

maybe pink or orange?

src/applications/maniphest/storage/ManiphestTransaction.php
220

Screen_Shot_2014-11-10_at_7.38.52_PM.png (237×628 px, 33 KB)

Like that?

lpriestley edited edge metadata.

Changing from green to orange.

epriestley edited edge metadata.

I need to finish setting up a couple more things locally before I can actually pull this, but it looks good to me.

This revision is now accepted and ready to land.Nov 11 2014, 3:46 AM

I think the colors are switched. The 'Closed, Duplicate' task should be 'black' and the still open task should be 'orange'

And, looking more closely, we should also actually say 'closed' somewhere in the transaction copy.

chad closed this task as a duplicate of T1234

@epriestley?

The merge story is a little unclear that the task is closed.

And I forgot to give you @lpriestley's Chocolate Raspberry Jam yesterday. :(

epriestley edited edge metadata.

Let's swap the colors, unless the constants are just confusing (it looked OK in person but maybe something got flipped since then) -- the closed task should be black.

And inline...

src/applications/maniphest/storage/ManiphestTransaction.php
599

Change this to @chad's copy or similar, "%s closed this task as a duplicate of %s.", to make the close more clear and explicit.

606

This one is fine as-is.

This revision now requires changes to proceed.Nov 11 2014, 10:35 PM
lpriestley edited edge metadata.

Cleaning up the revision. Not sure how the colors got swapped.

Mmm... can't wait for some chocolate jam, @chad! Next time!

epriestley edited edge metadata.
This revision is now accepted and ready to land.Nov 12 2014, 2:25 AM
This revision was automatically updated to reflect the committed changes.